# TdApi.MessageChatSetTtl

Package it.ernytech.tdlib

## Class TdApi.MessageChatSetTtl

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageChatSetTtl

Enclosing class:
  TdApi

    public static class TdApi.MessageChatSetTtl
    extends TdApi.MessageContent

The TTL (Time To Live) setting messages in a secret chat has been changed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `ttl` New TTL.

### Constructor Summary

Constructors
`MessageChatSetTtl()` Default constructor.
`MessageChatSetTtl​(int ttl)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### ttl

    public int ttl

New TTL.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageChatSetTtl

    public MessageChatSetTtl()

Default constructor.

#### MessageChatSetTtl

    public MessageChatSetTtl​(int ttl)

Constructor for initialization of all fields.

Parameters:
  `ttl` - New TTL.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR